## org.eclipse.ocl.internal.evaluation
Class IterationTemplateCollect<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

    java.lang.Object
      org.eclipse.ocl.internal.evaluation.IterationTemplate<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>
          org.eclipse.ocl.internal.evaluation.IterationTemplateCollect<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

    public class IterationTemplateCollect<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

extends IterationTemplate<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>

Method Summary
`protected Object` `evaluateResult(List<Variable<C,PM>> iterators, String resultName, Object bodyVal)`

`static

`<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> IterationTemplate<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>`

`

`getInstance(EvaluationVisitor<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> v)`

Methods inherited from class org.eclipse.ocl.internal.evaluation.IterationTemplate
`advanceIterators, evaluate, getEvalEnvironment, getEvaluationVisitor, getNextUnfinishedIterator, getOclInvalid, getOCLStandardLibrary, initializeIterators, isDone, moreToGo, removeIterators, setDone`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static <PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> IterationTemplate<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> getInstance(EvaluationVisitor<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E> v)

### evaluateResult

    protected Object evaluateResult(List<Variable<C,PM>> iterators,
                                    String resultName,
                                    Object bodyVal)

  Overrides:
    `evaluateResult` in class `IterationTemplate<PK,C,O,P,EL,PM,S,COA,SSA,CT,CLS,E>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.